Subject: Re: bug#33038: [PATCH 3/6] bootstrap: Add %bootstrap-mes.

From: Jan Nieuwenhuizen <[email-masked]>
Date: Wed, 24 Oct 2018 18:58:44 +0200

Marius Bakke writes:

Hi!

>> Marius has a couple of patches on his wip-gcc7 branch that we may
>> already want to include in core-updates-next too, but I'll leave that to
>> him.
>>
>> --8<---------------cut here---------------start------------->8---
>> bc05a8a9d gnu: Remove duplicate linux-libre-headers package from bootstrap inputs.
>> c697fdfc1 gnu: gcc-boot0: Improve gcc-wrapper workarounds.
>> 7c1ddb3a4 gnu: libstdc++-boot0: Improve gcc-wrapper workaround.
>> 60111ea82 gnu: Remove gcc-for-libstdc++.
>> --8<---------------cut here---------------end--------------->8---
>
> These fixes are purely cosmetic, but feel free to include them.  I hope
> to merge the full branch before core-updates-next is started in a month
> or two, so they'll get there eventually.

Ok.  Then I'd suggest we take them in whenever it's opportune to do so.
Possibly with a new seed generation, putting binaries on gnu.org.

>> I think that I'm "done" here, there's the `put new bootstrap binaries on
>> ftp.gnu.org/pub/guix/...', are you taking care of that?
>
> Is it possible to generate these somehow?  The mirror at lilypond.org is
> serving me the wrong tarball:

Ouch; yes.  I get the same, wrong hash on the lilypond.org download.
Luckily the hashes that I committed are correct.  I used `guix download'
of the build and didn't always update lilypond.org (I failed to do so
this last time...oops).

--8<---------------cut here---------------start------------->8---
18:46:50 janneke@dundal:~/src/guix-wip 
$ git checkout -B wip-seed 668ffe1e4
Reset branch 'wip-seed'
18:46:53 janneke@dundal:~/src/guix-wip 
$ make
....
18:46:58 janneke@dundal:~/src/guix-wip 
$ ./pre-inst-env guix build mes-stripped-tarball
/gnu/store/nyajrfqv40w3xr21pwpdr6plz2l0xzz6-mes-stripped-tarball-0.18-0.08f04f5
18:47:05 janneke@dundal:~/src/guix-wip 
$ guix  hash /gnu/store/nyajrfqv40w3xr21pwpdr6plz2l0xzz6-mes-stripped-tarball-0.18-0.08f04f5/mes-stripped-0.18-0.08f04f5-x86_64-linux.tar.xz
1yhxqf1sm67gwjbkkc26m4lcscvpjfmi71bzy8rhysal4lcj1vc8
$ guix hash /gnu/store/nyajrfqv40w3xr21pwpdr6plz2l0xzz6-mes-stripped-tarball-0.18-0.08f04f5
18:49:08 janneke@dundal:~/src/guix-wip 
$ ./pre-inst-env guix build --system=i686-linux mes-stripped-tarball --substitute-urls="http://192.168.32.125:8181 http://192.168.32.123:8181 http://192.168.32.121:8181 http://192.168.32.122:8181 https://berlin.guixsd.org"
/gnu/store/s0dsrq9mjan4qkyl8nfmbdha0p9mscyc-mes-stripped-tarball-0.18-0.08f04f5
18:49:21 janneke@dundal:~/src/guix-wip 
$ guix hash /gnu/store/s0dsrq9mjan4qkyl8nfmbdha0p9mscyc-mes-stripped-tarball-0.18-0.08f04f5/mes-stripped-0.18-0.08f04f5-i686-linux.tar.xz 
1p116ya9n52852bryh34n7db4mhvi98qifmmwygl7nbyc4dz92jy
--8<---------------cut here---------------end--------------->8---

I have updated the lilypond.org dowload...sorry, and thanks for your
report!

janneke